Subject: bug#72328: [PATCH] Nested backquote in pcase

From: Eli Zaretskii <[email-masked]>
Date: Sun, 28 Jul 2024 19:02:47 +0300

> Cc: [email-masked]
> From: Thuna <[email-masked]>
> Date: Sun, 28 Jul 2024 17:51:17 +0200
> 
> 
> > This would be a backward-incompatible change, breaking existing code.
> 
> Yes, I forgot to mention this in my original report, but given how
> unintuitive (IMO) the current behavior is, I expect that very few people
> will be using patterns which would be effected by this change. 

Famous last words ;-)

Bitter experience has taught us that this kind of arguments invariably
causes changes that break someone's code or setup.  So we try to do
that only if absolutely necessary.  Which doesn't seem to be the case
here, AFAIU.